%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Summary:          JBoss Logging Annotation Processor
Name:             jboss-logging-tools
Version:          2.2.1
Release:          3%{?dist}
License:          Apache-2.0 and LGPL-2.0-or-later
URL:              https://github.com/jboss-logging/jboss-logging-tools
Source0:          %{url}/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz
Source1:          http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.jdeparser:jdeparser)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)

BuildArch:        noarch
ExclusiveArch:    %{java_arches} noarch

%description
The JBoss logging tools are used to create internationalized
log statements and exceptions.

%prep
%autosetup -n %{name}-%{namedversion}
cp %{SOURCE1} .

%pom_remove_dep -r org.jboss.forge.roaster:
rm processor/src/test/java/org/jboss/logging/processor/generated/GeneratedSourceAnalysisTest.java

%pom_disable_module docs

%build
%mvn_build -f -j

%install
%mvn_install

%files -f .mfiles
%license LICENSE-2.0.txt
%doc README.adoc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 25 2023 Miaojun Dong <zoedong@tencent.com> - 2.2.1-1
- initial build
